<?php
/*

# ------------------------------------------------------------------------
# JA Pariiti template for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------

*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
include_once (dirname(__FILE__).DS.'/ja_templatetools.php');
$tmpTools = new JA_Tools($this);
$tmpTools->setColorThemes(array('default','red'));
# Auto Collapse Divs Functions ##########
$ja_left = $this->countModules( 'left' );
$ja_right = $this->countModules( 'right' );
if ( $ja_left && $ja_right ) {
  //2 columns on the right
	$divid = '';
} elseif ( ($ja_left || $ja_right) ) {
  //One column without masscol
	$divid = '-c';
} else {
  //No column in right
	$divid = '-f';
}

//Main navigation
$japarams = new JParameter('');
$japarams->set( 'menu_images_align', 'left' );
$japarams->set( 'menutype', $tmpTools->getParam('menutype', 'mainmenu') );
$japarams->set( 'menupath', $tmpTools->templateurl() .'/ja_menus');
$menu = '';
switch ($tmpTools->getParam(JA_TOOL_MENU)) {
	case 2:
		$menu = "CSSmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 3:
		$menu = "Moomenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 4:
		$menu = "Slidemenu";
		$japarams->set('minwidth', 80);
		$japarams->set('maxwidth', 180);
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 5:
		$menu = "Transmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	case 6:
		$menu = "DLmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
	default:
		$menu = "Splitmenu";
		include_once( dirname(__FILE__).DS.'ja_menus/'.$menu.'.class.php' );
		break;
}
$menuclass = "JA_$menu";
$jamenu = new $menuclass ($japarams);

$hasSubnav = false;
if (($jamenu->hasSubMenu (1) && $tmpTools->getParam(JA_TOOL_MENU) == 1) || $tmpTools->getParam(JA_TOOL_MENU) == 6) 
	$hasSubnav = true;
//End for main navigation


?>
